Subject: Re: IPP>MOD job-k-octets-supported issue

From: Keith Carter <[email-masked]>
Date: Tue, 25 Nov 1997 16:09:52 -0500

I agree with Tom's proposal.

Keith Carter
---------------------- Forwarded by Keith Carter/Austin/IBM on 11-25-97 02:32 PM
 ---------------------------

        [email-masked]
        11-14-97 10:10 AM
Please respond to [email-masked] @ internet

To: [email-masked] @ internet, [email-masked] @ internet
cc:
Subject: Re: IPP>MOD job-k-octets-supported issue

Hmmm... You have a good point here.

I think this means that "job-k-octets", "job-impressions", and
"job-media-sheets" should be moved from the Job Template group and become:

OPTIONAL (for clients to submit and Printers to support) operation attributes
with corresponding OPTIONAL Job Description attributes
(same as "job-name", except that "job-name" is MANDATORY).

and the corresponding "job-k-octets-supported",
"job-impressions-supported", and "job-media-sheets-supported" would become
Printer Description attributes.
(There aren't any "xxx-default" for these three).

NOTE that such a change has almost no effect on implementations, except
that these three attributes are submitted in the Operation attributes group,
instead of the Job Template attributes group (and their processing is
handled without regards to ipp-attribute-fidelity, as Bob points out).

Tom

At 19:59 11/13/1997 PST, Robert Herriot wrote:
>Am I correct in assuming that if a client includes job-k-octets, it behaves
>like other job-template attributes, namely (the model document is silent)
>
>  a) fidelity is true: if job-k-octets-supported is undefined in the
>     printer or job-k-octets is out of range, reject the job and
>     return job-k-octets in the unsupported-job-attributes group.
>
>  b) fidelity is false: the job is accepted regardless of the value
>     of job-k-octets or the presence or absence of
>     job-k-octets-supported, but if the job-k-octets-supported is
>     undefined in the printer or job-k-octets is out of range, return
>     job-k-octets in the unsupported-job-attributes group.
>
>This behavior is perhaps a bit surprising in the fidelity = false case,
>because the job-k-octets-supported is intended to be a way for a printer
>to control the sizes allowed.
>
>So this means that someone with a really big job can bypass the job-size
>limit by setting fidelity = false.
>
>It would seem that job-k-octets and the other two related attributes don't
>really follow the rules of other job-template attributes.
>
>Comments?
>
>Bob Herriot
>
>